## org.junit
Class TestCouldNotBeSkippedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.junit.TestCouldNotBeSkippedException

All Implemented Interfaces:
  Serializable

    public class TestCouldNotBeSkippedException

extends RuntimeException

Indicates that a test that indicated that it should be skipped could not be skipped. This can be thrown if a test uses the methods in `Assume` to indicate that it should be skipped, but before processing of the test was completed, other failures occured.

Since:
  4.13
See Also:
  `Assume`, Serialized Form

Constructor Summary
`TestCouldNotBeSkippedException(org.junit.internal.AssumptionViolatedException cause)` Creates an instance using the given assumption failure.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestCouldNotBeSkippedException

    public TestCouldNotBeSkippedException(org.junit.internal.AssumptionViolatedException cause)

  Creates an instance using the given assumption failure.

Copyright © 2002–2020 JUnit. All rights reserved.